Foreman - Bug #25081

No validation for image path in compute-resource image creation
10/01/2018 01:50 PM - Akshay Mendhe

Status: Rejected

Priority: Normal

Assignee: Akshay Mendhe
Category: Compute resources

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem: While creating compute-resource image, there is no validation for image path field and passing any data as
path creates image.

How reproducible: always

Steps to Reproduce:

1. Create compute resource from Infrastructure option.
2. Click "Create Image" option.

3. Enter any invalid string in image path field and submit.
Image created

Actual results:
Image is created.

Expected results: Image should not be created and it should raise an error showing invalid image path(uuid).

Related issues:
Related to Hammer CLI - Bug #22409: No validation for uuid in hammer compute-... Resolved

History

#1 - 10/01/2018 01:52 PM - Akshay Mendhe

- Related to Bug #22409: No validation for uuid in hammer compute-resource image creation added

#2 - 10/15/2018 11:20 AM - Lukas Zapletal
- Status changed from New to Closed

- Triaged changed from No to Yes

Hello and thanks for the report. Most (if not all) compute resources use UUIDs, image path is only used for libvirt provider and this provider's API does
not allow us to verify such a thing. So it cannot be done easily. Also, libvirt is more of a testing compute resource, for serious virtualization use oVirt,
RHEV or VMWare. | am closing this bug.

#3 - 10/15/2018 01:14 PM - Akshay Mendhe
Sure, Thanks @Lukas Zapletal

#4 - 10/17/2018 08:55 AM - Tomer Brisker

- Status changed from Closed to Rejected
